package ru.yandex.wmconsole.verification;

/**
 * Идентификатор подтверждения хоста.
 *
 * User: azakharov
 * Date: 28.06.13
 * Time: 15:59
 */
public class VerificationIdentifier {

    private final long id;

    public VerificationIdentifier(long id) {
        this.id = id;
    }

    public long getId() {
        return id;
    }

    @Override
    public String toString() {
        return String.format("%1$016x", id);
    }

    public static VerificationIdentifier valueOf(final long id) {
        return new VerificationIdentifier(id);
    }
}
